> ## Documentation Index
> Fetch the complete documentation index at: https://psxdata.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote



## OpenAPI

````yaml /openapi.json get /stocks/{symbol}/quote
openapi: 3.1.0
info:
  title: psxdata
  version: 0.1.0
servers:
  - url: https://psxdata-api.fastapicloud.dev
security: []
paths:
  /stocks/{symbol}/quote:
    get:
      tags:
        - stocks
      summary: Get Quote
      operationId: get_quote_stocks__symbol__quote_get
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
            title: Symbol
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QuoteResponse:
      properties:
        data:
          $ref: '#/components/schemas/QuoteData'
        meta:
          $ref: '#/components/schemas/MetaSingle'
      type: object
      required:
        - data
        - meta
      title: QuoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuoteData:
      properties:
        symbol:
          type: string
          title: Symbol
        price:
          type: number
          title: Price
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
          title: Market Cap
        pe_ratio:
          anyOf:
            - type: number
            - type: 'null'
          title: Pe Ratio
        dividend_yield:
          anyOf:
            - type: number
            - type: 'null'
          title: Dividend Yield
        free_float:
          anyOf:
            - type: number
            - type: 'null'
          title: Free Float
        volume_avg_30d:
          anyOf:
            - type: number
            - type: 'null'
          title: Volume Avg 30D
        change_1y_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Change 1Y Pct
        ldcp:
          anyOf:
            - type: number
            - type: 'null'
          title: Ldcp
        change:
          anyOf:
            - type: number
            - type: 'null'
          title: Change
        change_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Change Pct
      type: object
      required:
        - symbol
        - price
      title: QuoteData
    MetaSingle:
      properties:
        timestamp:
          type: string
          title: Timestamp
        cached:
          type: boolean
          title: Cached
      type: object
      required:
        - timestamp
        - cached
      title: MetaSingle
      description: Metadata block for single-item responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````